News
Market-centric news feed - markets grouped with their news timeline
GET
appIdheader
x-app-id<token>Your application ID. Required on app-tier and user-tier routes. Omitted on routes that authenticate with x-app-api-key only.
category*stringcursor?stringMatch
^[0-9]+$Length
1 <= length <= 32since?stringLength
1 <= length <= 64before?stringLength
1 <= length <= 64limit?integerRange
1 <= value <= 50200
application/json- response
data*array<>nextCursor*stringhasMore*booleancurl -X GET 'https://api.t.sufwankhalid.com/news-feed/string/markets'Example Response
{ "data": [ { "venueMarketId": "string", "question": "string", "venue": "string", "yesPrice": 0, "eventTitle": "string", "eventId": "string", "category": "string", "articleCount": 0, "articles": [ { "title": "string", "url": "string", "source": "string", "imageUrl": "string", "publishedAt": "string", "summary": "string", "relevanceScore": 0, "seq": 0, "addedAt": "string" } ] } ], "nextCursor": "string", "hasMore": true}